import { Close } from '@element-plus/icons-vue'
import { ElCol, ElIcon, ElImage, ElInput, ElRow } from 'element-plus'
import { defineComponent } from 'vue'
import styles from './index.module.less'

export default defineComponent({
  name: 'img-code',
  props: {
    onClose: {
      type: Function,
      default: () => {}
    }
  },
  data() {
    return {
      identifyingCode: location.origin + '/api-admin/code/getImageCode'
    }
  },
  render() {
    return (
      <>
        <div class="absolute inset-y-0 inset-x-0"></div>
        <div
          class={[
            styles.loginImgCode,
            'absolute w-[90%] left-[5%] top-0 bg-white pt-5 pb-8 px-6 rounded-md'
          ]}
        >
          <div
            onClick={() => {
              this.onClose()
            }}
          >
            <ElIcon class={styles.loginClose} size={18}>
              <Close />
            </ElIcon>
          </div>

          <div class={'text-center text-[16px] text-[#333]'}>
            输入图形验证码
          </div>

          <ElRow gutter={8} class="mt-3">
            <ElCol span={16}>
              <ElInput placeholder="请输入图形中字母"></ElInput>
            </ElCol>
            <ElCol span={8}>
              <ElImage
                class="w-full h-full"
                src={this.identifyingCode}
                fit="cover"
                v-slots={{
                  error: () => (
                    <div
                      class={
                        'text-3xl w-full h-full flex items-center justify-center'
                      }
                    >
                      {/* <ElIcon>
                      <Picture />
                    </ElIcon> */}
                    </div>
                  )
                }}
              />
            </ElCol>
          </ElRow>
        </div>
      </>
    )
  }
})
