import {
  ElButton,
  ElDatePicker,
  ElForm,
  ElFormItem,
  ElInput,
  ElRadioButton,
  ElRadioGroup
} from 'element-plus'
import { defineComponent } from 'vue'
import styles from './index.module.less'

export default defineComponent({
  name: 'auth',
  data() {
    return {
      radio: '1'
    }
  },
  render() {
    return (
      <div class="pt-12 px-72 pb-24">
        <div class="flex items-center bg-white">
          {[1, 2, 3].map(i => (
            <div class={styles.steps}>
              <div class="w-[30px] h-[30px] rounded-full overflow-hidden bg-slate-600 mr-3"></div>
              实名认证
            </div>
          ))}
        </div>

        <ElForm
          class={[styles.form, 'mx-4 mt-7']}
          size="large"
          labelPosition="left"
        >
          <ElFormItem label="真实姓名" labelWidth={'70px'}>
            <ElInput placeholder="请输入您的真实姓名" />
          </ElFormItem>
          <ElFormItem label="身份证号" labelWidth={'70px'}>
            <ElInput placeholder="请输入您的身份证号码" />
          </ElFormItem>
          <ElFormItem label="性别" labelWidth={'70px'}>
            <ElRadioGroup v-model={this.radio}>
              <ElRadioButton label="男" name="1" class="mr-3 w-24" />
              <ElRadioButton label="女" name="2" class="w-24" />
            </ElRadioGroup>
          </ElFormItem>
          <ElFormItem label="出生日期" labelWidth={'70px'}>
            <ElDatePicker
              type="date"
              class="!h-[38px] !w-full"
              placeholder="请选择出生日期"
            />
          </ElFormItem>
          <ElFormItem>
            <div class="text-center w-full">
              <ElButton type="primary" class="!w-40 !h-[38px]">
                下一步
              </ElButton>
            </div>
          </ElFormItem>
        </ElForm>
      </div>
    )
  }
})
